org.apache.maven.scm

## Class ScmTag

- java.lang.Object
- - org.apache.maven.scm.AbstractScmVersion
  - - org.apache.maven.scm.ScmBranch
    - - org.apache.maven.scm.ScmTag

- All Implemented Interfaces:
    Serializable, ScmVersion

      public class ScmTag
      extends ScmBranch

  Version:
    $Id: ScmTag.java 774900 2009-05-14 19:53:16Z olamy $
  Author:
    Emmanuel Venisse
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ScmTag(String name)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getType()`

    - ### Methods inherited from class org.apache.maven.scm.AbstractScmVersion

      `getName, setName, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ScmTag

          public ScmTag(String name)

      Parameters:
        `name` - not null

  - ### Method Detail

    - #### getType

          public String getType()

      Specified by:
        `getType` in interface `ScmVersion`
      Overrides:
        `getType` in class `ScmBranch`
      Returns:
        the Version type like branch

Copyright © 2003–2015. All rights reserved.